Page MenuHomePhabricator

evas: improve test to evaluate stretch region effect on content region.
ClosedPublic

Authored by cedric on Jun 14 2019, 5:03 PM.

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
cedric created this revision.Jun 14 2019, 5:03 PM
zmike requested changes to this revision.Jun 17 2019, 9:49 AM
zmike added inline comments.
src/tests/evas/evas_test_image.c
743

I've never seen EINA_C_ARRAY_ITERATOR_NEW used before. A+

746

This should use explicit ck_assert_int_eq calls for improved log reading

This revision now requires changes to proceed.Jun 17 2019, 9:49 AM
cedric added inline comments.Jun 19 2019, 10:53 AM
src/tests/evas/evas_test_image.c
746

How do you see that being used here?

cedric added inline comments.Jun 19 2019, 11:12 AM
src/tests/evas/evas_test_image.c
746

I think I have an idea.

cedric planned changes to this revision.Jun 19 2019, 11:12 AM
cedric updated this revision to Diff 22841.Jun 19 2019, 12:14 PM

Rebase and take comments into account.

cedric updated this revision to Diff 22896.Thu, Jun 20, 5:00 PM
cedric retitled this revision from evas: improve test to evaluate stretch zone effect on content zone. to evas: improve test to evaluate stretch region effect on content region..

Rebase and rename.

Hermet accepted this revision.Tue, Jun 25, 7:46 PM
This revision was not accepted when it landed; it landed in state Needs Review.Fri, Jul 12, 10:03 AM
This revision was automatically updated to reflect the committed changes.